﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Controls;

namespace DataChartZoombar
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {

            if (this.xmZoombar != null && this.xmDataChart != null)
            {
                Binding binding = new Binding
                {
                    Source = this.xmDataChart,
                    Path = new PropertyPath("HorizontalZoombar.Range"),
                    Mode = BindingMode.TwoWay
                };
                this.xmZoombar.SetBinding(XamZoombar.RangeProperty, binding);
                this.xmZoombar.Range = new Range { Minimum = 0.3, Maximum = 0.7 };
            }
        } 
    }

    public class ChartData : ObservableCollection<Data>
    {
        public ChartData()
        {
            Add(new Data { Value = 10, Label = DateTime.Today.AddDays(1) });
            Add(new Data { Value = 30, Label = DateTime.Today.AddDays(2) });
            Add(new Data { Value = 5, Label = DateTime.Today.AddDays(3) });
            Add(new Data { Value = 50, Label = DateTime.Today.AddDays(4) });
            Add(new Data { Value = 50, Label = DateTime.Today.AddDays(5) });
            Add(new Data { Value = 40, Label = DateTime.Today.AddDays(6) });
            Add(new Data { Value = 10, Label = DateTime.Today.AddDays(7) });
            Add(new Data { Value = 70, Label = DateTime.Today.AddDays(8) });
        }
    }

    public class Data
    {
        public int Value { get; set; }
        public DateTime Label { get; set; }
    }
}
